local _, MazeHelper = ...;

local locale = GetLocale();
local convert = {
    enGB = 'enUS',
    ptPT = 'ptBR',
};
local gameLocale = convert[locale] or locale or 'enUS';

MazeHelper.currentLocale = gameLocale;

MazeHelper.L = {};
local L = MazeHelper.L;

-- Common
L['SOLUTION'] = '|cff33cc66%s|r';
L['ANNOUNCE_SOLUTION'] = '%s';
L['ANNOUNCE_SOLUTION_WITH_ENGLISH'] = '%s / %s';

-- English announce solution
L['ENGLISH_LEAF_FULL_CIRCLE'] = 'Filled leaf in a circle';
L['ENGLISH_LEAF_FULL_NOCIRCLE'] = 'Filled leaf without a circle';
L['ENGLISH_LEAF_NOFULL_CIRCLE'] = 'Empty leaf in a circle';
L['ENGLISH_LEAF_NOFULL_NOCIRCLE'] = 'Empty leaf without a circle';
L['ENGLISH_FLOWER_FULL_CIRCLE'] = 'Filled flower in a circle';
L['ENGLISH_FLOWER_FULL_NOCIRCLE'] = 'Filled flower without a circle';
L['ENGLISH_FLOWER_NOFULL_CIRCLE'] = 'Empty flower in a circle';
L['ENGLISH_FLOWER_NOFULL_NOCIRCLE'] = 'Empty flower without a circle';

-- Default to enUS (Google Translated from Russian with some my knowledge)
L['ZONE_NAME'] = 'Mistveil Tangle';
L['RESET'] = 'Reset';
L['CHOOSE_SYMBOLS_4'] = 'Select 4 symbols';
L['CHOOSE_SYMBOLS_3'] = 'Select 3 more symbols';
L['CHOOSE_SYMBOLS_2'] = 'Select 2 more symbols';
L['CHOOSE_SYMBOLS_1'] = 'Select 1 more symbol';
L['SOLUTION_NA'] = '|cffffb833There is no solution...|r';
L['LEAF_FULL_CIRCLE'] = 'Filled leaf in a circle';
L['LEAF_FULL_NOCIRCLE'] = 'Filled leaf without a circle';
L['LEAF_NOFULL_CIRCLE'] = 'Empty leaf in a circle';
L['LEAF_NOFULL_NOCIRCLE'] = 'Empty leaf without a circle';
L['FLOWER_FULL_CIRCLE'] = 'Filled flower in a circle';
L['FLOWER_FULL_NOCIRCLE'] = 'Filled flower without a circle';
L['FLOWER_NOFULL_CIRCLE'] = 'Empty flower in a circle';
L['FLOWER_NOFULL_NOCIRCLE'] = 'Empty flower without a circle';
L['SENDED_BY'] = 'Sended by %s';
L['CLEARED_BY'] = 'Cleared by %s';
L['PASSED'] = 'Passed';
L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537resetted|r this mini-game';
L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s clicked on «|cff66ff6ePassed|r» button';
L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Reveal resetter of the mini-game';
L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Type in the chat the name of the player who did click on the «Reset» or «Passed» button (only for yourself)';
L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Enable auto announcer';
L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Automatically send a ready-made solution to the group chat';
L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Start in minimized mode';
L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'The first appearance will occur in minimized mode';
L['SETTINGS_AA_PARTY_LEADER'] = 'Party leader';
L['SETTINGS_AA_ALWAYS'] = 'Always';
L['SETTINGS_AA_TANK'] = 'Tank';
L['SETTINGS_AA_HEALER'] = 'Healer';
L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Show at Boss';
L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Show this helper when fight with «Mistcaller»';
L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Group sync';
L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Enable syncing of symbols selections with other group members|n|n|cffff6a00It is not recommended to turn off|r';
L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Use colored symbols';
L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Use colored symbols instead of black and white';
L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Show sequence numbers';
L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Show sequence numbers when clicking on symbols (1, 2, 3, 4)';
L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Predict solution';
L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Predict the solution on 2-3 steps, but |cffff6a00first|r picked symbol |cffff6a00must be|r the entrance symbol';
L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Show large symbol';
L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Show a large symbol at the top of the screen if there is a ready-made solution|n|nRight click to close';
L['SETTINGS_SCALE_LABEL'] = 'Scale';
L['SETTINGS_SCALE_TOOLTIP'] = 'Set the scale of the main window';
L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Scale of large symbol';
L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Set the scale of the large symbol';
L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Auto marker';
L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Automatically put markers on Illusionary Clones in a boss fight';
L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Duplicate solution in English';
L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Send the solution to the chat along with English phrases, for example, «Empty flower without a circle / Empty flower without a circle»|n|n|cffff6a00Ha-ha! Nevermind, it\'s only for non enUS/enGB locales|r';
L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Set marker on player';
L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Automatically set green marker on player if he clicked on symbol that became the solution';
L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Background alpha';
L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Set the alpha for the background of the main window';
L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Large symbol\'s background alpha';
L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Set the alpha for the background of the large symbol';
L['PRACTICE_TITLE'] = 'Select a symbol that differs in one way from the others';
L['PRACTICE_PLAY_AGAIN'] = 'Play again';
L['PRACTICE_BUTTON_TOOLTIP'] = 'Practice';
L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r New version is now available on Curse|cfff16336Forge|r!';

-- Русский (я)
if gameLocale == 'ruRU' then
    L['ZONE_NAME'] = 'Туманная чащоба';
    L['RESET'] = 'Сбросить';
    L['CHOOSE_SYMBOLS_4'] = 'Выберите 4 символа';
    L['CHOOSE_SYMBOLS_3'] = 'Выберите еще 3 символа';
    L['CHOOSE_SYMBOLS_2'] = 'Выберите еще 2 символа';
    L['CHOOSE_SYMBOLS_1'] = 'Выберите еще 1 символ';
    L['SOLUTION_NA'] = '|cffffb833Решение отсутствует...|r';
    L['LEAF_FULL_CIRCLE'] = 'Полный листок в круге';
    L['LEAF_FULL_NOCIRCLE'] = 'Полный листок без круга';
    L['LEAF_NOFULL_CIRCLE'] = 'Пустой листок в круге';
    L['LEAF_NOFULL_NOCIRCLE'] = 'Пустой листок без круга';
    L['FLOWER_FULL_CIRCLE'] = 'Полный цветок в круге';
    L['FLOWER_FULL_NOCIRCLE'] = 'Полный цветок без круга';
    L['FLOWER_NOFULL_CIRCLE'] = 'Пустой цветок в круге';
    L['FLOWER_NOFULL_NOCIRCLE'] = 'Пустой цветок без круга';
    L['SENDED_BY'] = 'Отправлено: %s';
    L['CLEARED_BY'] = 'Очищено: %s';
    L['PASSED'] = 'Прошли';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537сбросил|r мини-игру';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s кликнул на кнопку «|cff66ff6eПрошли|r»';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Имя игрока, сбросившего мини-игру';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Писать в чате имя игрока, который нажал на кнопку «Сброс» или «Прошли» (будет видно только Вам)';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Включить авто-оповещатель';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Автоматически отправлять в чат группы готовое решение';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Запускать в свернутом режиме';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'Первое появление будет происходить в свернутом режиме';
    L['SETTINGS_AA_PARTY_LEADER'] = 'Лидер группы';
    L['SETTINGS_AA_ALWAYS'] = 'Всегда';
    L['SETTINGS_AA_TANK'] = 'Танк';
    L['SETTINGS_AA_HEALER'] = 'Лекарь';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Показывать в бою с боссом';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Показывать в бою с боссом «Призывательница Туманов»';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Синхронизация с группой';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Включить синхронизацию выбора символов с другими участниками группы|n|n|cffff6a00Не рекомендуется выключать|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Использовать цветные символы';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Использовать цветные символы вместо черно-белых';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Показывать порядковые номера';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Показывать порядковые номера при нажатии на символы (1, 2, 3, 4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Предсказывать решение';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Предсказывать решение на 2–3 шагах, но |cffff6a00первый|r выбранный символ |cffff6a00должен быть|r символом входа';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Показывать большой символ';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Показывать большой символ вверху экрана при наличии решения|n|nПравый клик, чтобы закрыть';
    L['SETTINGS_SCALE_LABEL'] = 'Масштаб';
    L['SETTINGS_SCALE_TOOLTIP'] = 'Задать масштаб главного окна';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Масштаб большого символа';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Задать масштаб большого символа';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Авто-метки';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Автоматически ставить метки на Иллюзорных клонов в бою с боссом';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Дублировать решение на английском';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Отправлять решение в чат вместе с английскими фразами, например, «Пустой цветок без круга / Empty flower without a circle»';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Ставить метку на игрока';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Автоматически ставить метку на игрока, если он кликнул по символу, который стал решением';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Непрозрачность фона';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Задать непрозрачность фона главного окна';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Непрозрачность фона большого символа';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Задать непрозрачность фона большого символа';
    L['PRACTICE_TITLE'] = 'Выберите символ, отличающийся чем-то одним от других';
    L['PRACTICE_PLAY_AGAIN'] = 'Сыграть ещё';
    L['PRACTICE_BUTTON_TOOLTIP'] = 'Практика';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r Новая версия доступна на Curse|cfff16336Forge|r!';

    return;
end

-- German - Udaberrico (https://github.com/Udaberrico)
if gameLocale == 'deDE' then
    L['ZONE_NAME'] = 'Nebelschleierdickicht';
    L['RESET'] = 'Zurücksetzen';
    L['CHOOSE_SYMBOLS_4'] = 'Wählen Sie 4 Symbole';
    L['CHOOSE_SYMBOLS_3'] = 'Wählen Sie 3 weitere Symbole';
    L['CHOOSE_SYMBOLS_2'] = 'Wählen Sie 2 weitere Symbole';
    L['CHOOSE_SYMBOLS_1'] = 'Wählen Sie 1 weiteres symbol';
    L['SOLUTION_NA'] = '|cffffb833Keine Lösung gefunden...|r';
    L['LEAF_FULL_CIRCLE'] = 'Gefülltes Blatt im Kreis';
    L['LEAF_FULL_NOCIRCLE'] = 'Gefülltes Blatt ohne Kreis';
    L['LEAF_NOFULL_CIRCLE'] = 'Leeres Blatt im Kreis';
    L['LEAF_NOFULL_NOCIRCLE'] = 'Leeres Blatt ohne Kreis';
    L['FLOWER_FULL_CIRCLE'] = 'Gefüllte Blume im Kreis';
    L['FLOWER_FULL_NOCIRCLE'] = 'Gefüllte Blume ohne Kreis';
    L['FLOWER_NOFULL_CIRCLE'] = 'Leere Blume im Kreis';
    L['FLOWER_NOFULL_NOCIRCLE'] = 'Leere Blume ohne Kreis';
    L['SENDED_BY'] = 'Gesendet von %s';
    L['CLEARED_BY'] = 'Gelöscht von %s';
    L['PASSED'] = 'Übergeben';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s hat dieses Minispiel |cffff0537zurückgesetzt|r';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s klickte auf «|cff66ff6eBestanden|r»';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Verrate den Resetter des Minispiels';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Geben Sie im Chat den Namen des Spielers ein, der auf die Schaltfläche «Zurücksetzen» oder «Bestanden» geklickt hat (nur für Sie selbst)';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Aktivieren Sie die automatische Ansage';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Senden Sie automatisch eine vorgefertigte Lösung an den Gruppenchat';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Starten Sie im minimierten Modus';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'Das erste Auftreten erfolgt im minimierten Modus';
    L['SETTINGS_AA_PARTY_LEADER'] = 'Gruppenleiter';
    L['SETTINGS_AA_ALWAYS'] = 'Immer';
    L['SETTINGS_AA_TANK'] = 'Tank';
    L['SETTINGS_AA_HEALER'] = 'Heiler';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Zeige bei Boss';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Zeigen Sie diesen Helfer im Kampf mit «Nebelruferin»';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Gruppensynchronisation';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Aktivieren der Synchronisierung der Symbolauswahl mit anderen Gruppenmitgliedern|n|n|cffff6a00Es wird nicht empfohlen, das Gerät auszuschalten|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Verwenden Sie farbige Symbole';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Verwenden Sie farbige Symbole anstelle von Schwarzweiß';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Sequenznummern anzeigen';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Zeigen Sie Sequenznummern an, wenn Sie auf Symbole klicken (1, 2, 3, 4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Vorhersage der Lösung';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Sagen Sie die Lösung in 2-3 Schritten voraus, aber |cffff6a00zuerst|r ausgewähltes Symbol |cffff6a00muss|r das Eingangssymbol sein';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Großes Symbol anzeigen';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Zeigen Sie oben auf dem Bildschirm ein großes Symbol an, wenn eine fertige Lösung vorhanden ist|n|nRechtsklick zum Schließen';
    L['SETTINGS_SCALE_LABEL'] = 'Rahmen';
    L['SETTINGS_SCALE_TOOLTIP'] = 'Stellen Sie den Maßstab des Hauptfensters ein';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Skala des großen Symbols';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Stellen Sie die Skalierung des großen Symbols ein';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Automatische Markierung';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Setze in einem Bosskampf automatisch Marker auf Illusionärer Klon';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Doppelte Lösung in Englisch';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Senden Sie die Lösung zusammen mit englischen Phrasen an den Chat, z. B. «Leere Blume ohne Kreis / Empty flower without a circle»';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Setzen Sie einen Marker auf den Player';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Setzen Sie automatisch eine grüne Markierung auf den Spieler, wenn er auf das Symbol klickt, das zur Lösung wurde';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Hintergrundopazität';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Stellen Sie die Deckkraft für den Hintergrund des Hauptfensters ein';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Hintergrundopazität des großen Symbols';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Stellen Sie die Deckkraft für den Hintergrund des großen Symbols ein';
    L['PRACTICE_TITLE'] = 'Wählen Sie ein Symbol aus, das sich in einer Hinsicht von den anderen unterscheidet';
    L['PRACTICE_PLAY_AGAIN'] = 'Nochmal abspielen';
    L['PRACTICE_BUTTON_TOOLTIP'] = 'Trainieren';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r Neue Version ist jetzt auf Curse|cfff16336Forge|r verfügbar!';

    return;
end

-- French (Google Translate)
if gameLocale == 'frFR' then
    L['ZONE_NAME'] = 'Maquis Voile-de-Brume';
    L['RESET'] = 'Reset';
    L['CHOOSE_SYMBOLS_4'] = 'Sélectionnez 4 symboles';
    L['CHOOSE_SYMBOLS_3'] = 'Sélectionnez 3 autres symboles';
    L['CHOOSE_SYMBOLS_2'] = 'Sélectionnez 2 autres symboles';
    L['CHOOSE_SYMBOLS_1'] = 'Sélectionnez 1 autre symbole';
    L['SOLUTION_NA'] = '|cffffb833Il n\'y a pas de solution...|r';
    L['LEAF_FULL_CIRCLE'] = 'Feuille remplie dans un cercle';
    L['LEAF_FULL_NOCIRCLE'] = 'Feuille remplie sans cercle';
    L['LEAF_NOFULL_CIRCLE'] = 'Feuille vide dans un cercle';
    L['LEAF_NOFULL_NOCIRCLE'] = 'Feuille vide sans cercle';
    L['FLOWER_FULL_CIRCLE'] = 'Fleur remplie dans un cercle';
    L['FLOWER_FULL_NOCIRCLE'] = 'Fleur remplie sans cercle';
    L['FLOWER_NOFULL_CIRCLE'] = 'Fleur vide dans un cercle';
    L['FLOWER_NOFULL_NOCIRCLE'] = 'Fleur vide sans cercle';
    L['SENDED_BY'] = 'Envoyé par %s';
    L['CLEARED_BY'] = 'Innocenté par %s';
    L['PASSED'] = 'Passer';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s a |cffff0537réinitialisé|r ce mini-jeu';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s a cliqué sur le bouton «|cff66ff6ePasser|r»';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Reveal resetter du mini-jeu';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Tapez dans le chat le nom du joueur qui a cliqué sur le bouton «Réinitialiser» ou «Passé» (uniquement pour vous)';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Activer l\'annonceur automatique';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Envoyez automatiquement une solution prête à l\'emploi au chat de groupe';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Démarrez en mode réduit';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'La première apparition se produira en mode réduit';
    L['SETTINGS_AA_PARTY_LEADER'] = 'Le chef du parti';
    L['SETTINGS_AA_ALWAYS'] = 'Toujours';
    L['SETTINGS_AA_TANK'] = 'Tank';
    L['SETTINGS_AA_HEALER'] = 'Soins';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Montrer chez Boss';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Montrez cet assistant lorsque vous vous battez avec «Mandebrume»';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Synchronisation de groupe';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Activer la synchronisation des sélections de symboles avec d\'autres membres du groupe|n|n|cffff6a00Il n\'est pas recommandé de désactiver|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Utilisez des symboles colorés';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Utilisez des symboles colorés au lieu du noir et blanc';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Afficher les numéros de séquence';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Afficher les numéros de séquence en cliquant sur les symboles (1, 2, 3, 4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Solution de prédiction';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Prédire la solution sur 2-3 étapes, mais |cffff6a00en premier|r symbole choisi |cffff6a00doit être|r le symbole d\'entrée';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Afficher le grand symbole';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Afficher un grand symbole en haut de l\'écran s\'il existe une solution toute faite|n|nClic droit pour fermer';
    L['SETTINGS_SCALE_LABEL'] = 'Échelle';
    L['SETTINGS_SCALE_TOOLTIP'] = 'Réglez l\'échelle de la fenêtre principale';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Échelle du grand symbole';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Définir l\'échelle du grand symbole';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Marqueur automatique';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Mettre automatiquement des marqueurs sur les Clones illusoires dans un combat de boss';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Dupliquer la solution en anglais';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Envoyez la solution au chat avec des phrases en anglais, par exemple, «Fleur vide sans cercle / Empty flower without a circle»';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Placer un marqueur sur le joueur';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Définir automatiquement le marqueur vert sur le joueur s\'il clique sur le symbole qui est devenu la solution';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Opacité de l\'arrière-plan';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Définir l\'opacité de l\'arrière-plan de la fenêtre principale';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Opacité d\'arrière-plan du grand symbole';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Définir l\'opacité de l\'arrière-plan du grand symbole';
    L['PRACTICE_TITLE'] = 'Sélectionnez un symbole qui diffère d\'une manière des autres';
    L['PRACTICE_PLAY_AGAIN'] = 'Rejouer';
    L['PRACTICE_BUTTON_TOOLTIP'] = 'La pratique';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r Une nouvelle version est maintenant disponible sur Curse|cfff16336Forge|r!';

    return;
end

-- Italian (Google Translate)
if gameLocale == 'itIT' then
    L['ZONE_NAME'] = 'Intrico Velofosco';
    L['RESET'] = 'Ripristina';
    L['CHOOSE_SYMBOLS_4'] = 'Seleziona 4 simboli';
    L['CHOOSE_SYMBOLS_3'] = 'Seleziona altri 3 simboli';
    L['CHOOSE_SYMBOLS_2'] = 'Seleziona altri 2 simboli';
    L['CHOOSE_SYMBOLS_1'] = 'Seleziona 1 altro simbolo';
    L['SOLUTION_NA'] = '|cffffb833Non c\'è soluzione...|r';
    L['LEAF_FULL_CIRCLE'] = 'Foglia piena in un cerchio';
    L['LEAF_FULL_NOCIRCLE'] = 'Foglia piena senza cerchio';
    L['LEAF_NOFULL_CIRCLE'] = 'Foglia vuota in un cerchio';
    L['LEAF_NOFULL_NOCIRCLE'] = 'Foglia vuota senza cerchio';
    L['FLOWER_FULL_CIRCLE'] = 'Fiore pieno in un cerchio';
    L['FLOWER_FULL_NOCIRCLE'] = 'Fiore pieno senza cerchio';
    L['FLOWER_NOFULL_CIRCLE'] = 'Fiore vuoto in un cerchio';
    L['FLOWER_NOFULL_NOCIRCLE'] = 'Fiore vuoto senza cerchio';
    L['SENDED_BY'] = 'Inviato da %s';
    L['CLEARED_BY'] = 'Cancellato da %s';
    L['PASSED'] = 'Passato';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537ha ripristinato|r questo minigioco';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s ha fatto clic sul pulsante «|cff66ff6ePassato|r»';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Rivela il resetter del mini-gioco';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Digita nella chat il nome del giocatore che ha fatto clic sul pulsante «Ripristina» o «Passato» (solo per te)';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Abilita annunciatore automatico';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Invia automaticamente una soluzione già pronta alla chat di gruppo';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Inizia in modalità ridotta a icona';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'La prima apparizione si verificherà in modalità ridotta a icona';
    L['SETTINGS_AA_PARTY_LEADER'] = 'Leader del partito';
    L['SETTINGS_AA_ALWAYS'] = 'Sempre';
    L['SETTINGS_AA_TANK'] = 'Difensore';
    L['SETTINGS_AA_HEALER'] = 'Guaritore';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Mostra al Boss';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Mostra questo aiutante quando combatti con «Evocanebbie»';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Sincronizzazione di gruppo';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Abilita la sincronizzazione delle selezioni dei simboli con altri membri del gruppo|n|n|cffff6a00Non è consigliabile disattivare|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Usa simboli colorati';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Usa simboli colorati invece del bianco e nero';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Mostra i numeri di sequenza';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Mostra i numeri di sequenza quando si fa clic sui simboli (1, 2, 3, 4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Predire soluzione';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Prevedere la soluzione su 2-3 passaggi, ma |cffff6a00il primo|r scelto simbolo |cffff6a00deve essere|r il simbolo di entrata';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Mostra il simbolo grande';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Mostra un grande simbolo nella parte superiore dello schermo se c\'è una soluzione già pronta|n|nFare clic con il tasto destro per chiudere';
    L['SETTINGS_SCALE_LABEL'] = 'Scala';
    L['SETTINGS_SCALE_TOOLTIP'] = 'Imposta la scala della finestra principale';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Scala di grande simbolo';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Imposta la scala del simbolo grande';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Marcatore automatico';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Metti automaticamente i segnalini sui Clone Illusorio in una lotta con un boss';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Soluzione duplicata in inglese';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Invia la soluzione alla chat insieme a frasi in inglese, ad esempio, «Fiore vuoto senza cerchio / Empty flower without a circle»';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Imposta un indicatore sul giocatore';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Imposta automaticamente l\'indicatore verde sul giocatore se ha cliccato sul simbolo che è diventato la soluzione';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Opacità dello sfondo';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Imposta l\'opacità per lo sfondo della finestra principale';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Opacità dello sfondo del simbolo grande';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Imposta l\'opacità per lo sfondo del simbolo grande';
    L['PRACTICE_TITLE'] = 'Seleziona un simbolo che differisce in un modo dagli altri';
    L['PRACTICE_PLAY_AGAIN'] = 'Gioca di nuovo';
    L['PRACTICE_BUTTON_TOOLTIP'] = 'Pratica';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r La nuova versione è ora disponibile su Curse|cfff16336Forge|r!';

    return;
end

-- Brazilian Portuguese (Google Translate)
if gameLocale == 'ptBR' then
    L['ZONE_NAME'] = 'Enleio do Véu da Névoa';
    L['RESET'] = 'Redefinir';
    L['CHOOSE_SYMBOLS_4'] = 'Selecione 4 símbolos';
    L['CHOOSE_SYMBOLS_3'] = 'Selecione mais 3 símbolos';
    L['CHOOSE_SYMBOLS_2'] = 'Selecione mais 2 símbolos';
    L['CHOOSE_SYMBOLS_1'] = 'Selecione mais 1 símbolo';
    L['SOLUTION_NA'] = '|cffffb833Não há solução...|r';
    L['LEAF_FULL_CIRCLE'] = 'Folha preenchida em um círculo';
    L['LEAF_FULL_NOCIRCLE'] = 'Folha preenchida sem círculo';
    L['LEAF_NOFULL_CIRCLE'] = 'Folha vazia em um círculo';
    L['LEAF_NOFULL_NOCIRCLE'] = 'Folha vazia sem círculo';
    L['FLOWER_FULL_CIRCLE'] = 'Flor cheia em um círculo';
    L['FLOWER_FULL_NOCIRCLE'] = 'Flor cheia sem círculo';
    L['FLOWER_NOFULL_CIRCLE'] = 'Flor vazia em um círculo';
    L['FLOWER_NOFULL_NOCIRCLE'] = 'Flor vazia sem círculo';
    L['SENDED_BY'] = 'Enviado por %s';
    L['CLEARED_BY'] = 'Apagado por %s';
    L['PASSED'] = 'Passado';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537redefiniu|r este minijogo';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s clicou no botão «|cff66ff6ePassado|r»';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Revelar a reinicialização do minijogo';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Digite no chat o nome do jogador que clicou no botão «Redefinir» ou «Passado» (apenas para você)';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Ativar locutor automático';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Envie automaticamente uma solução pronta para o chat em grupo';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Comece no modo minimizado';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'A primeira aparição ocorrerá no modo minimizado';
    L['SETTINGS_AA_PARTY_LEADER'] = 'Líder de partido';
    L['SETTINGS_AA_ALWAYS'] = 'Sempre';
    L['SETTINGS_AA_TANK'] = 'Tanque';
    L['SETTINGS_AA_HEALER'] = 'Cura';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Mostrar no Boss';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Mostre este ajudante quando lutar com «Chamabruma»';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Sincronização de grupo';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Habilite a sincronização de seleções de símbolos com outros membros do grupo|n|n|cffff6a00Não é recomendado desligar|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Use símbolos coloridos';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Use símbolos coloridos em vez de preto e branco';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Mostrar números de sequência';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Mostrar números de sequência ao clicar nos símbolos (1, 2, 3, 4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Solução de previsão';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Preveja a solução em 2-3 etapas, mas |cffff6a00primeiro|r escolheu o símbolo |cffff6a00deve ser|r o símbolo de entrada';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Mostrar símbolo grande';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Mostra um grande símbolo no topo da tela se houver uma solução pronta|n|nClique com o botão direito para fechar';
    L['SETTINGS_SCALE_LABEL'] = 'Escala';
    L['SETTINGS_SCALE_TOOLTIP'] = 'Defina a escala da janela principal';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Escala de grande símbolo';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Defina a escala do símbolo grande';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Marcador automático';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Colocar marcadores automaticamente em Clones Ilusórios em uma luta de chefe';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Solução duplicada em inglês';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Envie a solução para o chat junto com frases em inglês, por exemplo, «Flor vazia sem círculo / Empty flower without a circle»';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Definir marcador no jogador';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Definir marcador verde automaticamente no jogador se ele clicar no símbolo que se tornou a solução';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Opacidade de fundo';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Defina a opacidade do plano de fundo da janela principal';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Opacidade de fundo do símbolo grande';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Defina a opacidade do fundo do símbolo grande';
    L['PRACTICE_TITLE'] = 'Selecione um símbolo que difere de uma forma dos outros';
    L['PRACTICE_PLAY_AGAIN'] = 'Jogar de novo';
    L['PRACTICE_BUTTON_TOOLTIP'] = 'Prática';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r Nova versão já está disponível no Curse|cfff16336Forge|r!';

    return;
end

-- Spanish (Google Translate)
if gameLocale == 'esES' then
    L['ZONE_NAME'] = 'Espesura Velo de Niebla';
    L['RESET'] = 'Reiniciar';
    L['CHOOSE_SYMBOLS_4'] = 'Seleccione 4 símbolos';
    L['CHOOSE_SYMBOLS_3'] = 'Seleccione 3 símbolos más';
    L['CHOOSE_SYMBOLS_2'] = 'Seleccione 2 símbolos más';
    L['CHOOSE_SYMBOLS_1'] = 'Seleccione 1 símbolo más';
    L['SOLUTION_NA'] = '|cffffb833No hay solución...|r';
    L['LEAF_FULL_CIRCLE'] = 'Hoja llena en un círculo';
    L['LEAF_FULL_NOCIRCLE'] = 'Hoja llena sin círculo';
    L['LEAF_NOFULL_CIRCLE'] = 'Hoja vacía en un círculo';
    L['LEAF_NOFULL_NOCIRCLE'] = 'Hoja vacía sin círculo';
    L['FLOWER_FULL_CIRCLE'] = 'Flor llena en un círculo';
    L['FLOWER_FULL_NOCIRCLE'] = 'Flor llena sin círculo';
    L['FLOWER_NOFULL_CIRCLE'] = 'Flor vacía en un círculo';
    L['FLOWER_NOFULL_NOCIRCLE'] = 'Flor vacía sin círculo';
    L['SENDED_BY'] = 'Enviado por %s';
    L['CLEARED_BY'] = 'Despejado por %s';
    L['PASSED'] = 'Aprobado';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537resetted|r este minijuego';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s hizo clic en el botón «|cff66ff6eAprobado|r»';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = 'Revelar reiniciador del minijuego';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = 'Escribe en el chat el nombre del jugador que hizo clic en el botón «Reiniciar» o «Aprobado» (solo para ti)';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = 'Habilitar auto locutor';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = 'Envíe automáticamente una solución preparada al chat grupal';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = 'Comience en modo minimizado';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = 'La primera aparición ocurrirá en modo minimizado';
    L['SETTINGS_AA_PARTY_LEADER'] = 'Líder del partido';
    L['SETTINGS_AA_ALWAYS'] = 'Siempre';
    L['SETTINGS_AA_TANK'] = 'Tanque';
    L['SETTINGS_AA_HEALER'] = 'Sanador';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = 'Mostrar al jefe';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = 'Mostrar este ayudante cuando lucha con «Clamaneblina»';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = 'Sincronización grupal';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = 'Habilitar la sincronización de selecciones de símbolos con otros miembros del grupo|n|n|cffff6a00No se recomienda desactivar|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = 'Usa símbolos de colores';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = 'Utilice símbolos de colores en lugar de blanco y negro';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = 'Mostrar números de secuencia';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = 'Mostrar números de secuencia al hacer clic en los símbolos (1, 2, 3, 4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = 'Predecir solución';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = 'Predecir la solución en 2-3 pasos, pero |cffff6a00el primer|r símbolo elegido |cffff6a00debe ser|r el símbolo de entrada';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = 'Mostrar símbolo grande';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = 'Muestre un símbolo grande en la parte superior de la pantalla si hay una solución preparada|n|nClick derecho para cerrar';
    L['SETTINGS_SCALE_LABEL'] = 'Escala';
    L['SETTINGS_SCALE_TOOLTIP'] = 'Establecer la escala de la ventana principal';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = 'Escala de símbolo grande';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = 'Establecer la escala del símbolo grande';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = 'Marcador automático';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = 'Coloca marcadores automáticamente en Clones ilusorios en una pelea de jefes';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = 'Solución duplicada en inglés';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = 'Envía la solución al chat junto con frases en inglés, por ejemplo, «Flor vacía sin círculo / Empty flower without a circle»';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = 'Establecer marcador en el jugador';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = 'Establece automáticamente un marcador verde en el jugador si hace clic en el símbolo que se convirtió en la solución';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = 'Opacidad de fondo';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = 'Establecer opacidad para el fondo de la ventana principal';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = 'Opacidad de fondo de un símbolo grande';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = 'Establecer la opacidad para el fondo del símbolo grande';
    L['PRACTICE_TITLE'] = 'Seleccione un símbolo que difiera en un sentido de los demás';
    L['PRACTICE_PLAY_AGAIN'] = 'Juega de nuevo';
    L['PRACTICE_BUTTON_TOOLTIP'] = 'Práctica';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r ¡La nueva versión ya está disponible en Curse|cfff16336Forge|r!';

    return;
end

 -- Latin American Spanish
if gameLocale == 'esMX' then
    L['ZONE_NAME'] = 'Espesura Veloniebla';

    return;
end

-- BNS333 (https://www.curseforge.com/members/bns333) -- Traditional
if gameLocale == 'zhTW' then
    L['ZONE_NAME'] = '霧紗密林';
    L['CHOOSE_SYMBOLS_1'] = '再點選一個標誌';
    L['CHOOSE_SYMBOLS_2'] = '再點選兩個標誌';
    L['CHOOSE_SYMBOLS_3'] = '再點選三個標誌';
    L['CHOOSE_SYMBOLS_4'] = '點選四個標誌';
    L['CLEARED_BY'] = '被 %s 清除了';
    L['FLOWER_FULL_CIRCLE'] = '有外環實心的花';
    L['FLOWER_FULL_NOCIRCLE'] = '無外環實心的花';
    L['FLOWER_NOFULL_CIRCLE'] = '有外環空心的花';
    L['FLOWER_NOFULL_NOCIRCLE'] = '無外環空心的花';
    L['LEAF_FULL_CIRCLE'] = '有外環實心的葉';
    L['LEAF_FULL_NOCIRCLE'] = '無外環實心的葉';
    L['LEAF_NOFULL_CIRCLE'] = '有外環空心的葉';
    L['LEAF_NOFULL_NOCIRCLE'] = '無外環空心的葉';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537已重置|r此小遊戲';
    L['PASSED'] = '已通過';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s 點擊了«|cff66ff6e已通過|r»按鈕';
    L['RESET'] = '重置';
    L['SENDED_BY'] = '由 %s 發送';
    L['SETTINGS_AA_ALWAYS'] = '總是';
    L['SETTINGS_AA_HEALER'] = '治療者';
    L['SETTINGS_AA_PARTY_LEADER'] = '隊長';
    L['SETTINGS_AA_TANK'] = '坦克';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = '啟用自動通報';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = '自動向隊伍發送現有的解決方案';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = '揭示迷你游戲的重置者';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = '在聊天中輸入有點擊過“重置”或“已通過”按鈕的玩家的名字（僅供您自己使用）';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = '在首領戰時顯示';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = '與«喚霧者»戰鬥時顯示此助手';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = '以最小化模式啟動';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = '首次出現將以最小化模式進行';
    L['SOLUTION_NA'] = '|cffffb833沒有解決方案...|r';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = '組同步';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = '啟用符號選擇與其他組成員的同步|n|n|cffff6a00不建議關閉|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = '使用彩色符號';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = '使用彩色符號代替黑白';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = '顯示序列號';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = '單擊符號時顯示序列號（1、2、3、4）';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = '預測解決方案';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = '在2-3步上預測解決方案，但是|cffff6a00第一個|r選擇的符號|cffff6a00必須是|r入口符號';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = '顯示大符號';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = '如果有現成的解決方案，請在屏幕頂部顯示一個大符號|n|n右鍵單擊以關閉';
    L['SETTINGS_SCALE_LABEL'] = '規模';
    L['SETTINGS_SCALE_TOOLTIP'] = '設置主窗口的比例';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = '大符號的比例';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = '設置大符號的比例';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = '自動標記';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = '在老闆戰鬥中自動在幻影克隆上放置標記';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = '英文重複解決方案';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = '將解決方案與英語短語一起發送至聊天，例如，“無外環空心的花/Empty flower without a circle”';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = '在玩家上設置標記';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = '如果玩家點擊成為解決方案的標誌，則自動在他身上設置綠色標記';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = '背景不透明度';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = '為主窗口的背景設置不透明度';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = '大符號的背景不透明度';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = '設置大符號背景的不透明度';
    L['PRACTICE_TITLE'] = '選擇一個符號與其他符號不同的符號';
    L['PRACTICE_PLAY_AGAIN'] = '再玩一次';
    L['PRACTICE_BUTTON_TOOLTIP'] = '實踐';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r 新版本現已在Curse|cfff16336Forge|r上可用！';

    return;
end

-- Geminil82 (https://www.curseforge.com/members/Geminil82)
-- gjfLeo (https://github.com/gjfLeo)
if gameLocale == 'zhCN' then
    L['ZONE_NAME'] = '纱雾迷结';
    L['CHOOSE_SYMBOLS_1'] = '再点一个标志';
    L['CHOOSE_SYMBOLS_2'] = '再点两个标志';
    L['CHOOSE_SYMBOLS_3'] = '再点三个标志';
    L['CHOOSE_SYMBOLS_4'] = '点选四个标志';
    L['CLEARED_BY'] = '被 %s 清除了';
    L['FLOWER_FULL_CIRCLE'] = '有环 实心 花';
    L['FLOWER_FULL_NOCIRCLE'] = '无环 实心 花';
    L['FLOWER_NOFULL_CIRCLE'] = '有环 空心 花';
    L['FLOWER_NOFULL_NOCIRCLE'] = '无环 空心 花';
    L['LEAF_FULL_CIRCLE'] = '有环 实心 叶';
    L['LEAF_FULL_NOCIRCLE'] = '无环 实心 叶';
    L['LEAF_NOFULL_CIRCLE'] = '有环 空心 叶';
    L['LEAF_NOFULL_NOCIRCLE'] = '无环 空心 叶';
    L['PASSED'] = '通过';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s 点击了«|cff66ff6e通过|r»按钮';
    L['RESET'] = '重置';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s |cffff0537已重置|r此小游戏';
    L['SENDED_BY'] = '由 %s 发送';
    L['SETTINGS_AA_ALWAYS'] = '总是';
    L['SETTINGS_AA_HEALER'] = '治疗者';
    L['SETTINGS_AA_PARTY_LEADER'] = '队长';
    L['SETTINGS_AA_TANK'] = '坦克';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = '启用自动通报';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = '自动向群聊发送现有的答案';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = '提示迷你游戏的重置者';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = '在聊天框中显示点击“重置”或“通过”按钮的玩家（仅自己可见）';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = '首领战时显示';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = '与唤雾者战斗时显示';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = '启动时最小化';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = '首次出现将以最小化模式运行';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = '队伍同步';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = '启用符号选择与其他队伍成员的同步|n|n|cffff6a00不建议关闭|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = '使用彩色符号';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = '使用彩色符号代替黑白';
    L['SOLUTION_NA'] = '|cffffb833没有答案...|r';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = '显示序号';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = '单击符号时显示序号(1/2/3/4)';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = '预测答案';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = '在2-3步预测答案，但是|cffff6a00第一个|r选择的符号|cffff6a00必须是|r入口符号';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = '显示大符号';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = '如果有现成的解决方案，请在屏幕顶部显示一个大符号|n|n右键单击以关闭';
    L['SETTINGS_SCALE_LABEL'] = '规模';
    L['SETTINGS_SCALE_TOOLTIP'] = '设置主窗口的比例';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = '大符号的比例';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = '设置大符号的比例';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = '自动标记';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = '在老板战斗中自动在幻影克隆上放置标记';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = '英文重复解决方案';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = '将解决方案与英语短语一起发送给聊天，例如，“无环 空心 花/Empty flower without a circle”';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = '在播放器上设置标记';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = '如果他单击成为解决方案的符号，则自动在玩家上设置绿色标记';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = '背景不透明度';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = '为主窗口的背景设置不透明度';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = '大符号的背景不透明度';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = '设置大符号背景的不透明度';
    L['PRACTICE_TITLE'] = '选择一个符号与其他符号不同的符号';
    L['PRACTICE_PLAY_AGAIN'] = '再玩一次';
    L['PRACTICE_BUTTON_TOOLTIP'] = '实践';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r 现在可以在Curse|cfff16336Forge|r上使用新版本!';

    return;
end

if gameLocale == 'koKR' then -- hinski (https://www.curseforge.com/members/hinski)
    L['ZONE_NAME'] = '안개장막 덩굴숲';
    L['CHOOSE_SYMBOLS_1'] = '1개의 모양을 더 고르세요';
    L['CHOOSE_SYMBOLS_2'] = '2개의 모양을 더 고르세요';
    L['CHOOSE_SYMBOLS_3'] = '3개의 모양을 더 고르세요';
    L['CHOOSE_SYMBOLS_4'] = '4개의 모양을 고르세요';
    L['CLEARED_BY'] = '%s에 의해 지워짐';
    L['FLOWER_FULL_CIRCLE'] = '원 안의 색칠한 꽃';
    L['FLOWER_FULL_NOCIRCLE'] = '원 없는 색칠한 꽃';
    L['FLOWER_NOFULL_CIRCLE'] = '원 안의 빈 꽃';
    L['FLOWER_NOFULL_NOCIRCLE'] = '원 없는 빈 꽃';
    L['LEAF_FULL_CIRCLE'] = '원 안의 색칠한 잎';
    L['LEAF_FULL_NOCIRCLE'] = '원 없는 색칠한 잎';
    L['LEAF_NOFULL_CIRCLE'] = '원 안의 빈 잎';
    L['LEAF_NOFULL_NOCIRCLE'] = '원 없는 빈 잎';
    L['PASSED'] = '통과';
    L['PASSED_PLAYER'] = '|cffffb833Maze Helper:|r %s이(가) «|cff66ff6e통과|r» 버튼을 눌렀습니다';
    L['RESET'] = '초기화';
    L['RESETED_PLAYER'] = '|cffffb833Maze Helper:|r %s이(가) 이 퍼즐을 |cffff0537초기화|r했습니다';
    L['SENDED_BY'] = '%s의 전송';
    L['SETTINGS_AA_ALWAYS'] = '항상';
    L['SETTINGS_AA_HEALER'] = '힐러';
    L['SETTINGS_AA_PARTY_LEADER'] = '파티장';
    L['SETTINGS_AA_TANK'] = '탱커';
    L['SETTINGS_AUTOANNOUNCER_LABEL'] = '자동 알리기 활성화';
    L['SETTINGS_AUTOANNOUNCER_TOOLTIP'] = '자동으로 완성된 정답을 파티 채팅에 보냄';
    L['SETTINGS_PREDICT_SOLUTION_LABEL'] = '정답 예측';
    L['SETTINGS_PREDICT_SOLUTION_TOOLTIP'] = '2-3 단계로 정답을 예측하지만, |cffff6a00첫 번째|r로 선택한 모양은 |cffff6a00반드시|r 입구 방향의 모양이여야 합니다';
    L['SETTINGS_REVEAL_RESETTER_LABEL'] = '퍼즐을 초기화한 사람 공개';
    L['SETTINGS_REVEAL_RESETTER_TOOLTIP'] = '채팅에 «초기화» 혹은 «통과» 버튼을 누른 사람의 이름을 넣습니다 (자신만 해당)';
    L['SETTINGS_SHOW_AT_BOSS_LABEL'] = '보스에서 나오게 하기';
    L['SETTINGS_SHOW_AT_BOSS_TOOLTIP'] = '«미스트콜러»와 전투 시 이 애드온을 보이게 함';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_LABEL'] = '순서 표시';
    L['SETTINGS_SHOW_SEQUENCE_NUMBERS_TOOLTIP'] = '모양을 선택할 때 누른 순서를 표시함 (1, 2, 3, 4)';
    L['SETTINGS_START_IN_MINMODE_LABEL'] = '접은 상태에서 시작';
    L['SETTINGS_START_IN_MINMODE_TOOLTIP'] = '처음엔 접은 상태로 나옴';
    L['SETTINGS_SYNC_ENABLED_LABEL'] = '파티 동기화';
    L['SETTINGS_SYNC_ENABLED_TOOLTIP'] = '다른 파티원과 선택한 모양 공유 활성화|n|n|cffff6a00끄지 않는 것을 권장합니다|r';
    L['SETTINGS_USE_COLORED_SYMBOLS_LABEL'] = '색이 있는 모양 사용';
    L['SETTINGS_USE_COLORED_SYMBOLS_TOOLTIP'] = '흑백 대신 색칠된 모양 사용';
    L['SOLUTION_NA'] = '|cffffb833정답이 없습니다...|r';
    L['SETTINGS_SHOW_LARGE_SYMBOL_LABEL'] = '큰 기호 표시';
    L['SETTINGS_SHOW_LARGE_SYMBOL_TOOLTIP'] = '기성 솔루션이있는 경우 화면 상단에 큰 기호 표시|n|n닫으려면 오른쪽 클릭';
    L['SETTINGS_SCALE_LABEL'] = '비율';
    L['SETTINGS_SCALE_TOOLTIP'] = '기본 창의 배율 설정';
    L['SETTINGS_SCALE_LARGE_SYMBOL_LABEL'] = '큰 심볼의 스케일';
    L['SETTINGS_SCALE_LARGE_SYMBOL_TOOLTIP'] = '큰 기호의 배율 설정';
    L['SETTINGS_USE_CLONE_AUTOMARKER_LABEL'] = '자동 징표';
    L['SETTINGS_USE_CLONE_AUTOMARKER_TOOLTIP'] = '보스전에서 환영 분신들에 징표를 자동으로 분배';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_LABEL'] = '영어 정답도 중복 표시';
    L['SETTINGS_ANNOUNCE_WITH_ENGLISH_TOOLTIP'] = '예를 들어 «원 없는 빈 꽃 / Empty flower without a circle»과 같이 영어 구문과 함께 정답을 채팅에 보냅니다';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_LABEL'] = '플레이어에 징표 설정';
    L['SETTINGS_SET_MARKER_SOLUTION_PLAYER_TOOLTIP'] = '답을 고르면 플레이어에게 자동으로 녹색 징표가 설정됩니다';
    L['SETTINGS_ALPHA_BACKGROUND_LABEL'] = '배경 불투명도';
    L['SETTINGS_ALPHA_BACKGROUND_TOOLTIP'] = '기본 창의 배경에 대한 불투명도 설정';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_LABEL'] = '큰 심볼의 배경 불투명도';
    L['SETTINGS_ALPHA_BACKGROUND_LARGE_SYMBOL_TOOLTIP'] = '큰 심볼의 배경에 대한 불투명도 설정';
    L['PRACTICE_TITLE'] = '한 조건이 나머지와 다른 모양을 선택하십시오';
    L['PRACTICE_PLAY_AGAIN'] = '다시 하기';
    L['PRACTICE_BUTTON_TOOLTIP'] = '연습';
    L['NEW_VERSION_AVAILABLE'] = '|cffffb833Maze Helper:|r Curse|cfff16336Forge|r에서 새 버전을 사용할 수 있습니다!';

    return;
end